package com.demo.springboot_reactive_mongo.repository;

import com.demo.springboot_reactive_mongo.dto.ProductDto;
import com.demo.springboot_reactive_mongo.entity.Product;
import org.springframework.data.domain.Range;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import org.springframework.stereotype.Repository;
import reactor.core.publisher.Flux;

@Repository
public interface ProductRepository extends ReactiveMongoRepository<Product,String> {

    Flux<ProductDto> findByPriceBetween(Range<Double> priceRange);
}
